REST APIV1Third Party Registration
Create Third Party Registration
API reference for Create Third Party Registration
Authorization
BearerToken AuthorizationBearer <token>
Pass an OAuth access token or an API token from Settings > MCP Server.
In: header
Path Parameters
org_id*string
Request Body
application/json
name*string
User-provided registration name
Value in
"salesforce" | "highspot" | "gong"payload*
Raw JSON payload from 3rd party
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://api.poggio.io/v1/organizations/string/third_party_registration" \ -H "Content-Type: application/json" \ -d '{ "name": "salesforce", "payload": {} }'{
"id": "string",
"name": "salesforce",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"updated_at": "2019-08-24T14:15:22Z",
"updated_by": "string",
"deleted_at": "2019-08-24T14:15:22Z",
"deleted_by": "string",
"payload": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Chat
Send a message to Poggio and receive a response. This endpoint allows external API clients to interact with Poggio's superagent. The org_id is inferred from the OAuth bearer token. Requires an OAuth bearer token with valid org_id and orig_user_id claims. The token must have the poggio:api:write scope for POST requests.
Delete Third Party Registration
API reference for Delete Third Party Registration